## xdoclet.modules.bea.wls.ejb
Class WebLogicSubTask.DatabaseTypes

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.bea.wls.ejb.WebLogicSubTask.DatabaseTypes

Enclosing class:
  WebLogicSubTask

public static class WebLogicSubTask.DatabaseTypes
extends org.apache.tools.ant.types.EnumeratedAttribute

Legal values of the database-type in weblogic-rdbms20-persistence-700.dtd

created
  02 april 2003

Field Summary
`static String` `DB2`
`static String` `INFORMIX`
`static String` `ORACLE`
`static String` `POINTBASE`
`static String` `SQL_SERVER`
`static String` `SYBASE`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`WebLogicSubTask.DatabaseTypes()`

Method Summary
`String[]` `getValues()` Gets the Values attribute of the DatabaseTypes object

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DB2

    public static final String DB2

See Also:
  Constant Field Values

### INFORMIX

    public static final String INFORMIX

See Also:
  Constant Field Values

### ORACLE

    public static final String ORACLE

See Also:
  Constant Field Values

### SQL_SERVER

    public static final String SQL_SERVER

See Also:
  Constant Field Values

### SYBASE

    public static final String SYBASE

See Also:
  Constant Field Values

### POINTBASE

    public static final String POINTBASE

See Also:
  Constant Field Values

Constructor Detail

### WebLogicSubTask.DatabaseTypes

    public WebLogicSubTask.DatabaseTypes()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the DatabaseTypes object

  Returns:
    The Values value

http://xdoclet.sourceforge.net/